| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__UpgradeStatus Struct Reference
Upgrade and Remote Patching

Upgrade Status Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__NodeId * | NodeId
| Indicates whether the request is for "Node 1" or "Node 2". More...
char * | CEName
| The CE node name. More...
char * | CEIP
| The CE node IP address. More...
char * | message
| A message string with status or error information. More...
int * | percentageCompleted
| The percentage of the upgrade process that has been completed (from 0 to 100%). More...
enum unsp__UpgradeState * | upgradeState
| The current state of the upgrade. More...
xsd__dateTime | startTime
| The date and time when the operation was started. More...
char * | operatorId
| The ID of the operator who initiated the operation. More...
char * | originatorIP
| The IP address of the client that initiated the request. More...
char * | fromPatchSet
| The latest patchset information from before the upgrade was started. More...
char * | toPatchSet
| The target patchset. More...
enum unsp__UpgradeMethod * | upgradeMethod
| Indicates the specified upgrade method. More...

## Detailed Description

Upgrade Status Information.

## Member Data Documentation

## ◆ CEIP

char* unsp__UpgradeStatus::CEIP

The CE node IP address.

default value[range]: NA [1..1024]

## ◆ CEName

char* unsp__UpgradeStatus::CEName

The CE node name.

default value[range]: NA [1..1024]

## ◆ fromPatchSet

char* unsp__UpgradeStatus::fromPatchSet

The latest patchset information from before the upgrade was started.

default value[range]: NA [1..1024]

## ◆ message

char* unsp__UpgradeStatus::message

A message string with status or error information.

default value[range]: NA [1..1024]

## ◆ NodeId

enum unsp__NodeId* unsp__UpgradeStatus::NodeId

Indicates whether the request is for "Node 1" or "Node 2".

default value[range]: NA

## ◆ operatorId

char* unsp__UpgradeStatus::operatorId

The ID of the operator who initiated the operation.

## ◆ originatorIP

char* unsp__UpgradeStatus::originatorIP

The IP address of the client that initiated the request.

default value[range]: NA [1..20]

## ◆ percentageCompleted

int* unsp__UpgradeStatus::percentageCompleted

The percentage of the upgrade process that has been completed (from 0 to 100%).

default value[range]: NA [0..100]

## ◆ startTime

xsd__dateTime unsp__UpgradeStatus::startTime

The date and time when the operation was started.

default value[range]: NA [1..1024]

## ◆ toPatchSet

char* unsp__UpgradeStatus::toPatchSet

The target patchset.

default value[range]: NA [1..1024]

## ◆ upgradeMethod

enum unsp__UpgradeMethod* unsp__UpgradeStatus::upgradeMethod

Indicates the specified upgrade method.

default value[range]: NA

## ◆ upgradeState

enum unsp__UpgradeState* unsp__UpgradeStatus::upgradeState

The current state of the upgrade.

default value[range]: NA

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h